package com.mdd.admin.controller.channel;

import com.mdd.admin.aop.Log;
import com.mdd.admin.service.IChannelOaConfigService;
import com.mdd.admin.validate.channel.ChannelOaValidate;
import com.mdd.admin.vo.channel.ChannelOaVo;
import com.mdd.common.core.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"api/channel/oa"})
@Api(
   tags = {"公众号渠道设置"}
)
public class ChannelOaController {
   @Resource
   IChannelOaConfigService iChannelOaConfigService;

   @GetMapping({"/detail"})
   @ApiOperation("公众号渠道设置详情")
   public AjaxResult<ChannelOaVo> detail() {
      ChannelOaVo vo = this.iChannelOaConfigService.detail();
      return AjaxResult.success(vo);
   }

   @Log(
      title = "公众号渠道设置保存"
   )
   @PostMapping({"/save"})
   @ApiOperation("公众号渠道设置保存")
   public AjaxResult<Object> save(@Validated @RequestBody ChannelOaValidate channelOaValidate) {
      this.iChannelOaConfigService.save(channelOaValidate);
      return AjaxResult.success();
   }
}
